Adding needed repository... Failed!


  • Developer

    @Nexqs Ok, sorry I was wrong. Does not seem to be a language thing as I thought. Would you please do a package capture of this to hopefully find out what’s exactly “timing out”.

    For that open two terminal windows. In the first get the following command ready but don’t start it yet: LANG='en_US.UTF-8' LC_ALL='en_US.UTF-8' sudo add-apt-repository -y ppa:ondrej/php

    In the other terminal window run: sudo tcpdump -w add-repo.pcap (it will start and not bring you back to the shell - let it sit there, go the the first terminal and run the command. When it’s done stop the tcpdump command using Crtl+c)

    Now upload that packet capture file add-repo.pcap to your dropbox and post a link here.



  • Hey,
    just screenshot timezone and when i pinged keyserver.ubuntu.com :
    1_1522045094146_Screenshot from 2018-03-26 17-10-15.png 0_1522045094145_Screenshot from 2018-03-26 17-09-22.png
    And now the terminal with all cmds i typed :

    root@fogserver:~# sudo apt-get update && apt-get install git
    Hit:1 http://nc.archive.ubuntu.com/ubuntu xenial InRelease                  
    Get:2 http://nc.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB] 
    Hit:3 http://security.ubuntu.com/ubuntu xenial-security InRelease             
    Get:4 http://nc.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Fetched 204 kB in 22s (9,204 B/s)                       
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following additional packages will be installed:
      git-man liberror-perl
    Suggested packages:
      git-daemon-run | git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-arch git-cvs
      git-mediawiki git-svn
    The following NEW packages will be installed:
      git git-man liberror-perl
    0 upgraded, 3 newly installed, 0 to remove and 383 not upgraded.
    Need to get 3,857 kB of archives.
    After this operation, 25.6 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 http://nc.archive.ubuntu.com/ubuntu xenial/main amd64 liberror-perl all 0.17-1.2 [19.6 kB]
    Get:2 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 git-man all 1:2.7.4-0ubuntu1.3 [736 kB]
    Get:3 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 git amd64 1:2.7.4-0ubuntu1.3 [3,102 kB]
    Fetched 3,857 kB in 30s (127 kB/s)                                                                     
    Selecting previously unselected package liberror-perl.
    (Reading database ... 175107 files and directories currently installed.)
    Preparing to unpack .../liberror-perl_0.17-1.2_all.deb ...
    Unpacking liberror-perl (0.17-1.2) ...
    Selecting previously unselected package git-man.
    Preparing to unpack .../git-man_1%3a2.7.4-0ubuntu1.3_all.deb ...
    Unpacking git-man (1:2.7.4-0ubuntu1.3) ...
    Selecting previously unselected package git.
    Preparing to unpack .../git_1%3a2.7.4-0ubuntu1.3_amd64.deb ...
    Unpacking git (1:2.7.4-0ubuntu1.3) ...
    Processing triggers for man-db (2.7.5-1) ...
    Setting up liberror-perl (0.17-1.2) ...
    Setting up git-man (1:2.7.4-0ubuntu1.3) ...
    Setting up git (1:2.7.4-0ubuntu1.3) ...
    root@fogserver:~# git clone https://github.com/FOGProject/fogproject.git /opt/fogproject
    Cloning into '/opt/fogproject'...
    remote: Counting objects: 136884, done.
    remote: Compressing objects: 100% (533/533), done.
    remote: Total 136884 (delta 536), reused 665 (delta 324), pack-reused 135937
    Receiving objects: 100% (136884/136884), 730.32 MiB | 106.00 KiB/s, done.
    Resolving deltas: 100% (96304/96304), done.
    Checking connectivity... done.
    root@fogserver:~# cd /opt/fogproject/bin
    root@fogserver:/opt/fogproject/bin# ./installfog.sh
    Installing LSB_Release as needed
     * Attempting to get release information.......................Done
    systemd
    
    
       +------------------------------------------+
       |     ..#######:.    ..,#,..     .::##::.  |
       |.:######          .:;####:......;#;..     |
       |...##...        ...##;,;##::::.##...      |
       |   ,#          ...##.....##:::##     ..:: |
       |   ##    .::###,,##.   . ##.::#.:######::.|
       |...##:::###::....#. ..  .#...#. #...#:::. |
       |..:####:..    ..##......##::##  ..  #     |
       |    #  .      ...##:,;##;:::#: ... ##..   |
       |   .#  .       .:;####;::::.##:::;#:..    |
       |    #                     ..:;###..       |
       |                                          |
       +------------------------------------------+
       |      Free Computer Imaging Solution      |
       +------------------------------------------+
       |  Credits: http://fogproject.org/Credits  |
       |       http://fogproject.org/Credits      |
       |       Released under GPL Version 3       |
       +------------------------------------------+
    
    
       Version: 1.5.0 Installer/Updater
    
      What version of Linux would you like to run the installation for?
    
              1) Redhat Based Linux (Redhat, CentOS, Mageia)
              2) Debian Based Linux (Debian, Ubuntu, Kubuntu, Edubuntu)
              3) Arch Linux
    
      Choice: [2] 2   
    
    
    
      Starting Debian based Installation
    
    
     *** Detected a potential need to reinstall apache and php files.
     *** This will remove the /etc/php* and /etc/apache2* directories
     ***  and remove/purge the apache and php files from this system.
     *** If you're okay with this please type Y, anything else will
     ***  continue the installation, but may mean you will need to
     ***  remove the files later and make proper changes as 
     ***  necessary. (Y/N): 
    y
     * Removing apache and php files...............................Done
     * Stopping web services.......................................Failed
     * Removing the apache and php packages........................Done
     * Resetting our variables to specify php version 7.1..........Done
      FOG Server installation modes:
          * Normal Server: (Choice N) 
              This is the typical installation type and
              will install all FOG components for you on this
              machine.  Pick this option if you are unsure what to pick.
    
          * Storage Node: (Choice S)
              This install mode will only install the software required
              to make this server act as a node in a storage group
    
      More information:  
         http://www.fogproject.org/wiki/index.php?title=InstallationModes
    
      What type of installation would you like to do? [N/s (Normal/Storage)] n
    
      What is the IP address to be used by this FOG Server? [192.168.0.24]
    
      Would you like to change the default network interface from enp0s3?
      If you are not sure, select No. [y/N] n
    
      Would you like to setup a router address for the DHCP server? [Y/n] y
      What is the IP address to be used for the router on
          the DHCP server? [192.168.0.1]
    
      Would you like DHCP to handle DNS? [Y/n] y
      What DNS address should DHCP allow? [127.0.1.1] 
    
      Would you like to use the FOG server for DHCP service? [y/N] y
    
      This version of FOG has internationalization support, would  
      you like to install the additional language packs? [y/N] 
    
       ######################################################################
       #     FOG now has everything it needs for this setup, but please     #
       #   understand that this script will overwrite any setting you may   #
       #   have setup for services like DHCP, apache, pxe, tftp, and NFS.   #
       ######################################################################
       # It is not recommended that you install this on a production system #
       #        as this script modifies many of your system settings.       #
       ######################################################################
       #             This script should be run by the root user.            #
       #      It will prepend the running with sudo if root is not set      #
       ######################################################################
       #           ** Notice ** FOG is difficult to setup securely          #
       #        SELinux and IPTables are usually asked to be disabled       #
       #           There have been strides in adding capabilities           #
       #          The recommendations would now be more appropriate         #
       #    to set SELinux to permissive and to disable firewall for now.   #
       #  You can find some methods to enable SELinux and maintain firewall #
       #   settings and ports. If you feel comfortable doing so please do   #
       ######################################################################
       #            Please see our wiki for more information at:            #
       ######################################################################
       #             https://wiki.fogproject.org/wiki/index.php             #
       ######################################################################
    
     * Here are the settings FOG will use:
     * Base Linux: Debian
     * Detected Linux Distribution: Ubuntu
     * Server IP Address: 192.168.0.24
     * Server Subnet Mask: 255.255.255.0
     * Interface: enp0s3
     * Installation Type: Normal Server
     * Internationalization: 0
     * Image Storage Location: /images
     * Using FOG DHCP: Yes
     * DHCP router Address: 192.168.0.1
    
    
     * Are you sure you wish to continue (Y/N) y
    
     * Installation Started
    
     * Installing required packages, if this fails
     | make sure you have an active internet connection.
    
     * Adding needed repository....................................Failed!
    root@fogserver:/opt/fogproject/bin#  cd error_logs/
    root@fogserver:/opt/fogproject/bin/error_logs# cat fog
    fog_error_1.5.0.log  foginstall.log       
    root@fogserver:/opt/fogproject/bin/error_logs# cat fog
    fog_error_1.5.0.log  foginstall.log       
    root@fogserver:/opt/fogproject/bin/error_logs# cat fog
    fog_error_1.5.0.log  foginstall.log       
    root@fogserver:/opt/fogproject/bin/error_logs# cat fog
    fog_error_1.5.0.log  foginstall.log       
    root@fogserver:/opt/fogproject/bin/error_logs# cat fog_error_1.5.0.log 
    /usr/bin/lsb_release
    /bin/systemctl
    Reading package lists...
    Building dependency tree...
    Reading state information...
    software-properties-common is already the newest version (0.96.20.7).
    The following additional packages will be installed:
      python-apt python-pycurl
    Suggested packages:
      python-apt-dbg python-apt-doc libcurl4-gnutls-dev python-pycurl-dbg
      python-pycurl-doc
    The following NEW packages will be installed:
      python-apt python-pycurl python-software-properties
    0 upgraded, 3 newly installed, 0 to remove and 383 not upgraded.
    Need to get 203 kB of archives.
    After this operation, 931 kB of additional disk space will be used.
    Get:1 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 python-apt amd64 1.1.0~beta1ubuntu0.16.04.1 [139 kB]
    Get:2 http://nc.archive.ubuntu.com/ubuntu xenial/main amd64 python-pycurl amd64 7.43.0-1ubuntu1 [43.3 kB]
    Get:3 http://nc.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 python-software-properties all 0.96.20.7 [20.7 kB]
    Fetched 203 kB in 21s (9,474 B/s)
    Selecting previously unselected package python-apt.
    (Reading database ... 175922 files and directories currently installed.)
    Preparing to unpack .../python-apt_1.1.0~beta1ubuntu0.16.04.1_amd64.deb ...
    Unpacking python-apt (1.1.0~beta1ubuntu0.16.04.1) ...
    Selecting previously unselected package python-pycurl.
    Preparing to unpack .../python-pycurl_7.43.0-1ubuntu1_amd64.deb ...
    Unpacking python-pycurl (7.43.0-1ubuntu1) ...
    Selecting previously unselected package python-software-properties.
    Preparing to unpack .../python-software-properties_0.96.20.7_all.deb ...
    Unpacking python-software-properties (0.96.20.7) ...
    Setting up python-apt (1.1.0~beta1ubuntu0.16.04.1) ...
    Setting up python-pycurl (7.43.0-1ubuntu1) ...
    Setting up python-software-properties (0.96.20.7) ...
    ../lib/common/functions.sh: line 535: ntpdate: command not found
    gpg: keyring `/tmp/tmphhnywf9g/secring.gpg' created
    gpg: keyring `/tmp/tmphhnywf9g/pubring.gpg' created
    gpg: requesting key E5267A6C from hkp server keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmphhnywf9g/trustdb.gpg: trustdb created
    gpg: key E5267A6C: public key "Launchpad PPA for Ondřej Surý" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    OK
    gpg: keyring `/tmp/tmpmgndtbo8/secring.gpg' created
    gpg: keyring `/tmp/tmpmgndtbo8/pubring.gpg' created
    gpg: requesting key E5267A6C from hkp server keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpmgndtbo8/trustdb.gpg: trustdb created
    gpg: key E5267A6C: public key "Launchpad PPA for Ondřej Surý" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    OK
    Hit:1 http://nc.archive.ubuntu.com/ubuntu xenial InRelease
    Get:2 http://nc.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
    Get:3 http://nc.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Get:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
    Get:5 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [317 kB]
    Get:6 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [224 kB]
    Get:7 http://nc.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [193 kB]
    Get:8 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [67.5 kB]
    Get:9 http://nc.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [275 kB]
    Get:10 http://nc.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5,888 B]
    Get:11 http://nc.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3,328 B]
    Get:12 http://nc.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [5,084 B]
    Get:13 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [81.7 kB]
    Get:14 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [56.0 kB]
    Get:15 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [93.6 kB]
    Get:16 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial InRelease [23.8 kB]
    Get:17 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease [23.9 kB]
    Get:18 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 Packages [13.9 kB]
    Get:19 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main i386 Packages [14.0 kB]
    Get:20 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main Translation-en [7,888 B]
    Get:21 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 Packages [46.0 kB]
    Get:22 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main i386 Packages [45.8 kB]
    Get:23 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main Translation-en [26.5 kB]
    Fetched 1,830 kB in 42s (42.9 kB/s)
    Reading package lists...
    Reading package lists...
    Building dependency tree...
    Reading state information...
    python-software-properties is already the newest version (0.96.20.7).
    The following NEW packages will be installed:
      ntpdate
    0 upgraded, 1 newly installed, 0 to remove and 388 not upgraded.
    Need to get 48.7 kB of archives.
    After this operation, 173 kB of additional disk space will be used.
    Get:1 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 ntpdate amd64 1:4.2.8p4+dfsg-3ubuntu5.8 [48.7 kB]
    Fetched 48.7 kB in 20s (2,393 B/s)
    Selecting previously unselected package ntpdate.
    (Reading database ... 175974 files and directories currently installed.)
    Preparing to unpack .../ntpdate_1%3a4.2.8p4+dfsg-3ubuntu5.8_amd64.deb ...
    Unpacking ntpdate (1:4.2.8p4+dfsg-3ubuntu5.8) ...
    Processing triggers for man-db (2.7.5-1) ...
    Setting up ntpdate (1:4.2.8p4+dfsg-3ubuntu5.8) ...
    26 Mar 19:32:55 ntpdate[7409]: adjust time server 115.126.160.4 offset -0.003329 sec
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    gpg: keyring `/tmp/tmp5udgpevy/secring.gpg' created
    gpg: keyring `/tmp/tmp5udgpevy/pubring.gpg' created
    gpg: requesting key E5267A6C from hkp server keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmp5udgpevy/trustdb.gpg: trustdb created
    gpg: key E5267A6C: public key "Launchpad PPA for Ondřej Surý" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    OK
    Hit:1 http://security.ubuntu.com/ubuntu xenial-security InRelease
    Hit:2 http://nc.archive.ubuntu.com/ubuntu xenial InRelease
    Get:3 http://nc.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
    Get:4 http://nc.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Hit:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial InRelease
    Get:6 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease [23.9 kB]
    Fetched 228 kB in 36s (6,305 B/s)
    Reading package lists...
    Reading package lists...
    Building dependency tree...
    Reading state information...
    ntpdate is already the newest version (1:4.2.8p4+dfsg-3ubuntu5.8).
    software-properties-common is already the newest version (0.96.20.7).
    python-software-properties is already the newest version (0.96.20.7).
    0 upgraded, 0 newly installed, 0 to remove and 388 not upgraded.
    26 Mar 19:34:50 ntpdate[7814]: adjust time server 115.126.160.4 offset 0.001809 sec
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    gpg: keyring `/tmp/tmph13wz5fb/secring.gpg' created
    gpg: keyring `/tmp/tmph13wz5fb/pubring.gpg' created
    gpg: requesting key E5267A6C from hkp server keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmph13wz5fb/trustdb.gpg: trustdb created
    gpg: key E5267A6C: public key "Launchpad PPA for Ondřej Surý" imported
    gpg: Total number processed: 1
    gpg:               imported: 1  (RSA: 1)
    OK
    root@fogserver:/opt/fogproject/bin/error_logs# 
    
    

  • Moderator

    @nexqs Yes those commands are OK.

    I was going to have you check your current time and to ensure your timezone was correct and also see if you can ping keyserver.ubuntu.com which seems to be reported as a problem in your log file, but now we shall see how switching to english works. French should work because I know we have folks in France using FOG. I’m pretty sure its in their native language too.



  • @Sebastian-Roth Im reinstalling ubuntu with english, we will see what happen.
    @Tom-Elliott Ill install with those commands that gives me @george1421, is that ok ?

    sudo apt-get update && apt-get install git
    
    sudo -i
    git clone https://github.com/FOGProject/fogproject.git /opt/fogproject
    cd /opt/fogproject/bin
    ./installfog.sh

  • Senior Developer

    @sebastian-roth I’ve gone over the code in working-1.5.1 branch to see what is going on.

    I doubt I’ve fixed anything, but I did notice that there’s potential of 3 separate times of running add-apt-repository for a single ubuntu install. I’ve modified it so this should only need to happen once now.

    (One of the times it ran without the LANG/LC_ALL elements, and if that failed it would rerun with these. I’ve made it so running with LANG/LC_ALL will be the normal method of running.)

    There was potential of 3 separate runs, but there was also at least 2 runs that had happen anyway. As I said, i doubt I fixed anything happening here, but at least we can more quickly name the problem.

    Looking through the logs being passed here I keep seeing;

    gpg: le porte-clefs « /tmp/tmpf65s40fu/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmpf65s40fu/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpf65s40fu/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    gpg: le porte-clefs « /tmp/tmpwush_arl/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmpwush_arl/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpwush_arl/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    

    Of specific note, I’m seeing the key is not able to be retrieved, maybe this is where the issue lies? This, I think, could happen if the system time is off or simply your network cannot reach keyserver.ubuntu.com

    I don’t know if this helps us out at all.


  • Developer

    @Nexqs I am not sure but could this be a very weird language issue. Not joking here. Would you mind installing Ubuntu from scratch again and stick to english language?



  • @george1421 Not working :’( (in order : installation of fog and i put the error log just after the installation of fog)

    root@fogserver:~# cd /home/fog/opt/fogproject-master/bin
    root@fogserver:/home/fog/opt/fogproject-master/bin# ./installfog.sh 
    Installing LSB_Release as needed
     * Attempting to get release information.......................Done
    systemd
    
    
       +------------------------------------------+
       |     ..#######:.    ..,#,..     .::##::.  |
       |.:######          .:;####:......;#;..     |
       |...##...        ...##;,;##::::.##...      |
       |   ,#          ...##.....##:::##     ..:: |
       |   ##    .::###,,##.   . ##.::#.:######::.|
       |...##:::###::....#. ..  .#...#. #...#:::. |
       |..:####:..    ..##......##::##  ..  #     |
       |    #  .      ...##:,;##;:::#: ... ##..   |
       |   .#  .       .:;####;::::.##:::;#:..    |
       |    #                     ..:;###..       |
       |                                          |
       +------------------------------------------+
       |      Free Computer Imaging Solution      |
       +------------------------------------------+
       |  Credits: http://fogproject.org/Credits  |
       |       http://fogproject.org/Credits      |
       |       Released under GPL Version 3       |
       +------------------------------------------+
    
    
       Version: 1.5.0 Installer/Updater
    
      What version of Linux would you like to run the installation for?
    
              1) Redhat Based Linux (Redhat, CentOS, Mageia)
              2) Debian Based Linux (Debian, Ubuntu, Kubuntu, Edubuntu)
              3) Arch Linux
    
      Choice: [2] 2
    
    
    
      Starting Debian based Installation
    
    
     *** Detected a potential need to reinstall apache and php files.
     *** This will remove the /etc/php* and /etc/apache2* directories
     ***  and remove/purge the apache and php files from this system.
     *** If you're okay with this please type Y, anything else will
     ***  continue the installation, but may mean you will need to
     ***  remove the files later and make proper changes as 
     ***  necessary. (Y/N): 
    y
     * Removing apache and php files...............................Done
     * Stopping web services.......................................Failed
     * Removing the apache and php packages........................Done
     * Resetting our variables to specify php version 7.1..........Done
      FOG Server installation modes:
          * Normal Server: (Choice N) 
              This is the typical installation type and
              will install all FOG components for you on this
              machine.  Pick this option if you are unsure what to pick.
    
          * Storage Node: (Choice S)
              This install mode will only install the software required
              to make this server act as a node in a storage group
    
      More information:  
         http://www.fogproject.org/wiki/index.php?title=InstallationModes
    
      What type of installation would you like to do? [N/s (Normal/Storage)] n
    
      What is the IP address to be used by this FOG Server? [192.168.0.23]
    
      Would you like to change the default network interface from enp0s3?
      If you are not sure, select No. [y/N] y
      What network interface would you like to use? enp0s3
    
      Would you like to setup a router address for the DHCP server? [Y/n] y
      What is the IP address to be used for the router on
          the DHCP server? [192.168.0.1]
    
      Would you like DHCP to handle DNS? [Y/n] y
      What DNS address should DHCP allow? [127.0.1.1] 
    
      Would you like to use the FOG server for DHCP service? [y/N] y
    
      This version of FOG has internationalization support, would  
      you like to install the additional language packs? [y/N] y
    
       ######################################################################
       #     FOG now has everything it needs for this setup, but please     #
       #   understand that this script will overwrite any setting you may   #
       #   have setup for services like DHCP, apache, pxe, tftp, and NFS.   #
       ######################################################################
       # It is not recommended that you install this on a production system #
       #        as this script modifies many of your system settings.       #
       ######################################################################
       #             This script should be run by the root user.            #
       #      It will prepend the running with sudo if root is not set      #
       ######################################################################
       #           ** Notice ** FOG is difficult to setup securely          #
       #        SELinux and IPTables are usually asked to be disabled       #
       #           There have been strides in adding capabilities           #
       #          The recommendations would now be more appropriate         #
       #    to set SELinux to permissive and to disable firewall for now.   #
       #  You can find some methods to enable SELinux and maintain firewall #
       #   settings and ports. If you feel comfortable doing so please do   #
       ######################################################################
       #            Please see our wiki for more information at:            #
       ######################################################################
       #             https://wiki.fogproject.org/wiki/index.php             #
       ######################################################################
    
     * Here are the settings FOG will use:
     * Base Linux: Debian
     * Detected Linux Distribution: Ubuntu
     * Server IP Address: 192.168.0.23
     * Server Subnet Mask: 255.255.255.0
     * Interface: enp0s3
     * Installation Type: Normal Server
     * Internationalization: 1
     * Image Storage Location: /images
     * Using FOG DHCP: Yes
     * DHCP router Address: 192.168.0.1
    
    
     * Are you sure you wish to continue (Y/N) y
    
     * Installation Started
    
     * Installing required packages, if this fails
     | make sure you have an active internet connection.
    
     * Adding needed repository....................................Failed!
    root@fogserver:/home/fog/opt/fogproject-master/bin# cat ./error_logs/fog_error_1.5.0.log 
    /usr/bin/lsb_release
    /bin/systemctl
    Lecture des listes de paquets…
    Construction de l'arbre des dépendances…
    Lecture des informations d'état…
    software-properties-common est déjà la version la plus récente (0.96.20.7).
    python-software-properties est déjà la version la plus récente (0.96.20.7).
    Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
      libsodium18
    Veuillez utiliser « sudo apt autoremove » pour le supprimer.
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
    25 Mar 10:34:27 ntpdate[4822]: adjust time server 115.126.160.4 offset -0.027610 sec
    gpg: le porte-clefs « /tmp/tmpf65s40fu/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmpf65s40fu/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpf65s40fu/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    gpg: le porte-clefs « /tmp/tmpwush_arl/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmpwush_arl/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpwush_arl/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    Atteint:1 http://security.ubuntu.com/ubuntu xenial-security InRelease
    Atteint:2 http://nc.archive.ubuntu.com/ubuntu xenial InRelease
    Réception de:3 http://nc.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
    Réception de:4 http://nc.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Atteint:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial InRelease
    Atteint:6 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease
    204 ko réceptionnés en 37s (5 401 o/s)
    Lecture des listes de paquets…
    Lecture des listes de paquets…
    Construction de l'arbre des dépendances…
    Lecture des informations d'état…
    ntpdate est déjà la version la plus récente (1:4.2.8p4+dfsg-3ubuntu5.8).
    python-software-properties est déjà la version la plus récente (0.96.20.7).
    Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
      libsodium18
    Veuillez utiliser « sudo apt autoremove » pour le supprimer.
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
    25 Mar 10:37:13 ntpdate[5250]: adjust time server 115.126.160.4 offset -0.015478 sec
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    gpg: le porte-clefs « /tmp/tmpp8b089kn/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmpp8b089kn/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpp8b089kn/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    Atteint:1 http://nc.archive.ubuntu.com/ubuntu xenial InRelease
    Réception de:2 http://nc.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
    Réception de:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
    Réception de:4 http://nc.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Réception de:5 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [67,5 kB]
    Réception de:6 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [81,7 kB]
    Réception de:7 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [55,9 kB]
    Réception de:8 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [88,8 kB]
    Atteint:9 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial InRelease
    Atteint:10 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease
    600 ko réceptionnés en 36s (16,4 ko/s)
    Lecture des listes de paquets…
    Lecture des listes de paquets…
    Construction de l'arbre des dépendances…
    Lecture des informations d'état…
    ntpdate est déjà la version la plus récente (1:4.2.8p4+dfsg-3ubuntu5.8).
    software-properties-common est déjà la version la plus récente (0.96.20.7).
    python-software-properties est déjà la version la plus récente (0.96.20.7).
    Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
      libsodium18
    Veuillez utiliser « sudo apt autoremove » pour le supprimer.
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
    25 Mar 10:39:12 ntpdate[5674]: adjust time server 115.126.160.4 offset 0.014700 sec
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    gpg: le porte-clefs « /tmp/tmpvi3uo95j/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmpvi3uo95j/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpvi3uo95j/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    


  • @george1421 Trying right now


  • Moderator

    @nexqs Now try to install FOG using the installfog.sh script. My french is a but rusty, but it looks like the offending ondrej/php library was installed.



  • @sebastian-roth said in Adding needed repository... Failed!:

    sudo -i
    locale-gen ‘en_US.UTF-8’
    LANG=‘en_US.UTF-8’ LC_ALL=‘en_US.UTF-8’ add-apt-repository -y ppa:ondrej/php
    apt-get update
    apt-get -y dist-upgrade

    Here is the terminal with the commands you gave me :

    root@fogserver:~# sudo -i
    root@fogserver:~# locale-gen 'en_US.UTF-8'
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    root@fogserver:~# LANG='en_US.UTF-8' LC_ALL='en_US.UTF-8' add-apt-repository -y ppa:ondrej/php
    gpg: le porte-clefs « /tmp/tmpl8zw8p2w/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmpl8zw8p2w/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpl8zw8p2w/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    root@fogserver:~# apt-get update
    Atteint:1 http://nc.archive.ubuntu.com/ubuntu xenial InRelease                 
    Atteint:2 http://security.ubuntu.com/ubuntu xenial-security InRelease          
    Réception de:3 http://nc.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
    Réception de:4 http://nc.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Atteint:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial InRelease      
    Atteint:6 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease          
    204 ko réceptionnés en 37s (5 503 o/s)
    Lecture des listes de paquets... Fait
    root@fogserver:~# apt-get -y dist-upgrade
    Lecture des listes de paquets... Fait
    Construction de l'arbre des dépendances       
    Lecture des informations d'état... Fait
    Calcul de la mise à jour... Fait
    Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
      libsodium18
    Veuillez utiliser « sudo apt autoremove » pour le supprimer.
    Les NOUVEAUX paquets suivants seront installés :
      libnorm1 libpgm-5.2-0 libqmi-glib5 libsodium23 libssl1.1 libwebp6
    Les paquets suivants seront mis à jour :
      libgd3 libmm-glib0 libqmi-proxy libzmq5 modemmanager openssl
    6 mis à jour, 6 nouvellement installés, 0 à enlever et 0 non mis à jour.
    Il est nécessaire de prendre 4 253 ko dans les archives.
    Après cette opération, 7 896 ko d'espace disque supplémentaires seront utilisés.
    Réception de:1 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libmm-glib0 amd64 1.6.4-1ubuntu0.16.04.1 [163 kB]
    Réception de:2 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libqmi-glib5 amd64 1.16.2-1ubuntu0.16.04.1 [360 kB]
    Réception de:3 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libqmi-proxy amd64 1.16.2-1ubuntu0.16.04.1 [5 486 B]
    Réception de:4 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 modemmanager amd64 1.6.4-1ubuntu0.16.04.1 [604 kB]
    Réception de:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 libssl1.1 amd64 1.1.0g-2.1+ubuntu16.04.1+deb.sury.org+1 [1 334 kB]
    Réception de:6 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libwebp6 amd64 0.6.0-4+ubuntu16.04.1+deb.sury.org+1 [184 kB]
    Réception de:7 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libgd3 amd64 2.2.5-4+ubuntu16.04.1+deb.sury.org+2 [133 kB]
    Réception de:8 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libnorm1 amd64 1.5r6+dfsg1-6+ubuntu16.04.1+deb.sury.org+1 [225 kB]
    Réception de:9 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libpgm-5.2-0 amd64 5.2.122~dfsg-2+deb.sury.org~xenial+1 [157 kB]
    Réception de:10 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libsodium23 amd64 1.0.16-2+ubuntu16.04.1+deb.sury.org+3 [143 kB]
    Réception de:11 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libzmq5 amd64 4.2.3-1+ubuntu16.04.1+deb.sury.org+1 [214 kB]
    Réception de:12 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 openssl amd64 1.1.0g-2.1+ubuntu16.04.1+deb.sury.org+1 [731 kB]
    4 253 ko réceptionnés en 1min 14s (57,2 ko/s)                                  
    Préconfiguration des paquets...
    Sélection du paquet libssl1.1:amd64 précédemment désélectionné.
    (Lecture de la base de données... 214533 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de .../libssl1.1_1.1.0g-2.1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
    Dépaquetage de libssl1.1:amd64 (1.1.0g-2.1+ubuntu16.04.1+deb.sury.org+1) ...
    Sélection du paquet libwebp6:amd64 précédemment désélectionné.
    Préparation du dépaquetage de .../libwebp6_0.6.0-4+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
    Dépaquetage de libwebp6:amd64 (0.6.0-4+ubuntu16.04.1+deb.sury.org+1) ...
    Préparation du dépaquetage de .../libgd3_2.2.5-4+ubuntu16.04.1+deb.sury.org+2_amd64.deb ...
    Dépaquetage de libgd3:amd64 (2.2.5-4+ubuntu16.04.1+deb.sury.org+2) sur (2.1.1-4ubuntu0.16.04.8) ...
    Préparation du dépaquetage de .../libmm-glib0_1.6.4-1ubuntu0.16.04.1_amd64.deb ...
    Dépaquetage de libmm-glib0:amd64 (1.6.4-1ubuntu0.16.04.1) sur (1.4.12-1ubuntu1) ...
    Sélection du paquet libnorm1:amd64 précédemment désélectionné.
    Préparation du dépaquetage de .../libnorm1_1.5r6+dfsg1-6+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
    Dépaquetage de libnorm1:amd64 (1.5r6+dfsg1-6+ubuntu16.04.1+deb.sury.org+1) ...
    Sélection du paquet libpgm-5.2-0:amd64 précédemment désélectionné.
    Préparation du dépaquetage de .../libpgm-5.2-0_5.2.122~dfsg-2+deb.sury.org~xenial+1_amd64.deb ...
    Dépaquetage de libpgm-5.2-0:amd64 (5.2.122~dfsg-2+deb.sury.org~xenial+1) ...
    Sélection du paquet libqmi-glib5:amd64 précédemment désélectionné.
    Préparation du dépaquetage de .../libqmi-glib5_1.16.2-1ubuntu0.16.04.1_amd64.deb ...
    Dépaquetage de libqmi-glib5:amd64 (1.16.2-1ubuntu0.16.04.1) ...
    Préparation du dépaquetage de .../libqmi-proxy_1.16.2-1ubuntu0.16.04.1_amd64.deb ...
    Dépaquetage de libqmi-proxy (1.16.2-1ubuntu0.16.04.1) sur (1.12.6-1) ...
    Sélection du paquet libsodium23:amd64 précédemment désélectionné.
    Préparation du dépaquetage de .../libsodium23_1.0.16-2+ubuntu16.04.1+deb.sury.org+3_amd64.deb ...
    Dépaquetage de libsodium23:amd64 (1.0.16-2+ubuntu16.04.1+deb.sury.org+3) ...
    Préparation du dépaquetage de .../libzmq5_4.2.3-1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
    Dépaquetage de libzmq5:amd64 (4.2.3-1+ubuntu16.04.1+deb.sury.org+1) sur (4.1.4-7) ...
    Préparation du dépaquetage de .../modemmanager_1.6.4-1ubuntu0.16.04.1_amd64.deb ...
    Dépaquetage de modemmanager (1.6.4-1ubuntu0.16.04.1) sur (1.4.12-1ubuntu1) ...
    Préparation du dépaquetage de .../openssl_1.1.0g-2.1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ...
    Dépaquetage de openssl (1.1.0g-2.1+ubuntu16.04.1+deb.sury.org+1) sur (1.0.2g-1ubuntu4.10) ...
    Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
    Traitement des actions différées (« triggers ») pour dbus (1.10.6-1ubuntu3.3) ...
    Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
    Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
    Paramétrage de libssl1.1:amd64 (1.1.0g-2.1+ubuntu16.04.1+deb.sury.org+1) ...
    Paramétrage de libwebp6:amd64 (0.6.0-4+ubuntu16.04.1+deb.sury.org+1) ...
    Paramétrage de libgd3:amd64 (2.2.5-4+ubuntu16.04.1+deb.sury.org+2) ...
    Paramétrage de libmm-glib0:amd64 (1.6.4-1ubuntu0.16.04.1) ...
    Paramétrage de libnorm1:amd64 (1.5r6+dfsg1-6+ubuntu16.04.1+deb.sury.org+1) ...
    Paramétrage de libpgm-5.2-0:amd64 (5.2.122~dfsg-2+deb.sury.org~xenial+1) ...
    Paramétrage de libqmi-glib5:amd64 (1.16.2-1ubuntu0.16.04.1) ...
    Paramétrage de libqmi-proxy (1.16.2-1ubuntu0.16.04.1) ...
    Paramétrage de libsodium23:amd64 (1.0.16-2+ubuntu16.04.1+deb.sury.org+3) ...
    Paramétrage de libzmq5:amd64 (4.2.3-1+ubuntu16.04.1+deb.sury.org+1) ...
    Paramétrage de modemmanager (1.6.4-1ubuntu0.16.04.1) ...
    Installation de la nouvelle version du fichier de configuration /etc/dbus-1/system.d/org.freedesktop.ModemManager1.conf ...
    Paramétrage de openssl (1.1.0g-2.1+ubuntu16.04.1+deb.sury.org+1) ...
    Installation de la nouvelle version du fichier de configuration /etc/ssl/openssl.cnf ...
    Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
    Traitement des actions différées (« triggers ») pour dbus (1.10.6-1ubuntu3.3) ...
    root@fogserver:~# 
    

  • Developer

    @nexqs Please run the following commands:

    sudo -i
    locale-gen 'en_US.UTF-8'
    LANG='en_US.UTF-8' LC_ALL='en_US.UTF-8' add-apt-repository -y ppa:ondrej/php
    apt-get update
    apt-get -y dist-upgrade
    


  • @george1421 Yes everything is ok
    1_1521898083372_Capture.PNG 0_1521898083372_2.PNG


  • Moderator

    @nexqs so from an elevated linux command prompt can you key in
    sudo apt-get update and have it complete successfully?
    What about sudo apt-get upgrade?



  • Unfortunatly im not behind a proxy, the network is from my home and the modem/router dont have any proxy set up


  • Developer

    @nexqs said in Adding needed repository... Failed!:

    Error: retrieving gpg key timed out.

    Are you behind a proxy server by any chance?



  • It still fail, here is the log file from /bin/error_logs/fog_error_1.5.0.log.
    Sorry for the french part, i think the issue is at the end of the file “Error: retrieving gpg key timed out” but i dont know what to do about it. Thx in advance again for all you guys!

    /usr/bin/lsb_release
    /bin/systemctl
    Lecture des listes de paquets…
    Construction de l'arbre des dépendances…
    Lecture des informations d'état…
    software-properties-common est déjà la version la plus récente (0.96.20.7).
    python-software-properties est déjà la version la plus récente (0.96.20.7).
    Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
      libllvm4.0
    Veuillez utiliser « sudo apt autoremove » pour le supprimer.
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 9 non mis à jour.
    22 Mar 22:37:36 ntpdate[2498]: adjust time server 202.22.158.31 offset 0.022177 sec
    gpg: le porte-clefs « /tmp/tmp9k8w526j/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmp9k8w526j/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmp9k8w526j/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    gpg: le porte-clefs « /tmp/tmprcmi53l0/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmprcmi53l0/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmprcmi53l0/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    Atteint:1 http://nc.archive.ubuntu.com/ubuntu xenial InRelease
    Réception de:2 http://nc.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
    Réception de:3 http://nc.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Réception de:4 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [742 kB]
    Réception de:5 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
    Réception de:6 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [67,4 kB]
    Réception de:7 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [689 kB]
    Réception de:8 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [72,2 kB]
    Réception de:9 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [56,0 kB]
    Réception de:10 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [93,6 kB]
    Réception de:11 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [317 kB]
    Réception de:12 http://nc.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [226 kB]
    Réception de:13 http://nc.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [606 kB]
    Réception de:14 http://nc.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [561 kB]
    Réception de:15 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial InRelease [23,8 kB]
    Réception de:16 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease [23,9 kB]
    Réception de:17 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main amd64 Packages [13,9 kB]
    Réception de:18 http://nc.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [193 kB]
    Réception de:19 http://nc.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [275 kB]
    Réception de:20 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main i386 Packages [14,0 kB]
    Réception de:21 http://nc.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5 888 B]
    Réception de:22 http://nc.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3 328 B]
    Réception de:23 http://nc.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [5 088 B]
    Réception de:24 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial/main Translation-en [7 888 B]
    Réception de:25 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 Packages [46,0 kB]
    Réception de:26 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main i386 Packages [45,8 kB]
    Réception de:27 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main Translation-en [26,5 kB]
    4 421 ko réceptionnés en 46s (94,9 ko/s)
    Lecture des listes de paquets…
    Lecture des listes de paquets…
    Construction de l'arbre des dépendances…
    Lecture des informations d'état…
    ntpdate est déjà la version la plus récente (1:4.2.8p4+dfsg-3ubuntu5.8).
    python-software-properties est déjà la version la plus récente (0.96.20.7).
    Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
      libllvm4.0
    Veuillez utiliser « sudo apt autoremove » pour le supprimer.
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 18 non mis à jour.
    22 Mar 22:40:36 ntpdate[2984]: adjust time server 115.126.160.4 offset 0.043608 sec
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    gpg: le porte-clefs « /tmp/tmp1315xmu8/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmp1315xmu8/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmp1315xmu8/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    Atteint:1 http://nc.archive.ubuntu.com/ubuntu xenial InRelease
    Réception de:2 http://nc.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
    Atteint:3 http://security.ubuntu.com/ubuntu xenial-security InRelease
    Réception de:4 http://nc.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
    Atteint:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu xenial InRelease
    Réception de:6 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease [23,9 kB]
    228 ko réceptionnés en 36s (6 269 o/s)
    Lecture des listes de paquets…
    Lecture des listes de paquets…
    Construction de l'arbre des dépendances…
    Lecture des informations d'état…
    ntpdate est déjà la version la plus récente (1:4.2.8p4+dfsg-3ubuntu5.8).
    software-properties-common est déjà la version la plus récente (0.96.20.7).
    python-software-properties est déjà la version la plus récente (0.96.20.7).
    Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
      libllvm4.0
    Veuillez utiliser « sudo apt autoremove » pour le supprimer.
    0 mis à jour, 0 nouvellement installés, 0 à enlever et 18 non mis à jour.
    22 Mar 22:42:33 ntpdate[3372]: adjust time server 202.22.158.31 offset 0.019752 sec
    Generating locales (this might take a while)...
      en_US.UTF-8... done
    Generation complete.
    gpg: le porte-clefs « /tmp/tmpjt1c2wyr/secring.gpg » a été créé
    gpg: le porte-clefs « /tmp/tmpjt1c2wyr/pubring.gpg » a été créé
    gpg: demande de la clef E5267A6C sur le serveur hkp keyserver.ubuntu.com
    Error: retrieving gpg key timed out.
    gpg: /tmp/tmpjt1c2wyr/trustdb.gpg : base de confiance créée
    gpg: clef E5267A6C : clef publique « Launchpad PPA for Ondřej Surý » importée
    gpg: Quantité totale traitée : 1
    gpg:               importées : 1  (RSA: 1)
    OK
    

  • Moderator

    @nexqs OK, it sounds like you have all of the bits in place. Then if it still fails to install, there is a sub directory of where the installfog.sh script it. I think its called logs or such. In there should be an error log that might give us a clue to which repository its having an issue with.

    The error means, that the FOG installer can’t connect to your linux distributions repository to download required components.



  • Hey !
    @george1421
    First thx for the quick answers !

    1. I do have internet connection (ping google ok, web browsing…)
    2. I just put an static ip adress for the server
    3. Im on bridged connection on virtual box not on NAT
    4. Currently trying to install with github method
    5. Downloading 1.5.0

    @BREIT
    I didnt test the 1.5.1


  • Moderator

    I might recommend a few things to offer a successful installation of fog.

    1. Your FOG server needs to have internet access when fog is being installed. Internet access is ONLY required during installation. Once installation is done then FOG can run in an isolated environment.
    2. The FOG server does not like it when its IP address is changed after FOG is installed. So for your FOG server, give it a static IP address that won’t change.
    3. Since you are running FOG inside a virtual box instance, make sure you are running a bridged network adapter (not nat). The target computers will talk to the FOG server using the FOG server’s IP address. If the FOG server is behind a NAT interface, the clients will not know how to reach it.
    4. Installing FOG using the github method is preferred over downloading the tarball and installing it that way.
    5. FOG 1.4.4 is now old. FOG 1.5.0 is the latest release, with 1.5.1 being actively worked on. If you use the github process upgrades are quick and easy.

    Below is the recommended way to get the FOG install image.
    NOTE: The fog server must have internet access for this process to work successfully.

    sudo apt-get update && apt-get install git
    
    sudo -i
    git clone https://github.com/FOGProject/fogproject.git /opt/fogproject
    cd /opt/fogproject/bin
    ./installfog.sh
    
    

    To upgrade FOG the process is:

    cd /opt/fogproject
    git pull
    cd bin
    ./installfog.sh
    

    The FOG installer will use all of the answers you previously provided when upgrading FOG.



  • 1.5.0 is the latest release right now. If you look at the link in my signature, you’ll see Ubuntu 16 is passing for all branches right now.


Log in to reply
 

349
Online

6.2k
Users

13.5k
Topics

127.5k
Posts